Subject: RE: [Simple] New I-D on IM transport

From: "Sean Olson (EUS)" <[email-masked]>
Date: Wed, 14 Nov 2001 15:14:34 -0600

I like the IMTP thing. It would be really really
nice if it supported other methods beside MESSAGE.
IMTP is basically a very very simple SIP subset
so it might be useful in other contexts besides IM.

/Sean

>-----Original Message-----
>From: Jonathan Rosenberg [mailto:[email-masked]]
>Sent: Wednesday, November 14, 2001 2:17 PM
>To: [email-masked]'
>Subject: [Simple] New I-D on IM transport
>
>
>Folks,
>
>I've just submitted a new I-D to the archives which proposes a 
>compromise
>solution for the IM transport in the session model. Until it 
>appears, you
>can pick it up at:
>
>http://www.jdrosen.net/papers/draft-rosenberg-simple-im-transpo
rt-00.txt

This draft was co-authored by Christian Huitema, Robert Osborne, Avshalom
Houri, and myself, in the hopes of making forward progress on this issue.
The compromise is to use a protocol called IMTP which is is a subset of SIP,
so that it can be forwarded through SIP proxies with proper configuration,
but at the same time, only uses reliable transports, and does not use things
like forking, record-routing, redirection, and so on.

The draft also proposes requirements, which I have gathered from the list
discussion. 

Thanks,
Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com
 
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple